package com.ningdatech.pmapi.meeting.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.meeting.entity.domain.ExpertInviteRule;
import com.ningdatech.pmapi.meeting.entity.dto.RandomInviteRuleDTO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-07-26
 */
public interface IExpertInviteRuleService extends IService<ExpertInviteRule> {

    List<ExpertInviteRule> listByMeetingId(Long meetingId);

    Map<Long, RandomInviteRuleDTO> randomRuleByMeetingId(Long meetingId);

}
